package com.fastbee.ggroup.service;

import java.util.List;

import com.fastbee.ggroup.domain.GLegend;

/**
 * 图例Service接口
 * 
 * @author kerwincui
 * &#064;date  2024-10-08
 */
public interface IGLegendService 
{
    /**
     * 查询图例
     */
    GLegend selectGLegendById(Long id);

    /**
     * 查询/搜索图例列表
     */
    List<GLegend> selectGLegendList(GLegend gLegend);

    /**
     * 新增图例
     */
    int insertGLegend(GLegend gLegend);

    /**
     * 修改图例
     */
    int updateGLegend(GLegend gLegend);

    /**
     * 删除图例
     */
    int deleteGLegendById(Long id);


    /**
     * 获取不同类别图例列表
     */
    List<?>  getLegendListByCategory();


}
